OpenVDB: BitFlags< N > Class Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
BitFlags< N > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for BitFlags< N >:

## Public Types
using | Type = decltype(mFlags)

## Public Member Functions
| BitFlags ()
| BitFlags (std::initializer_list< uint8_t > list)
template<typename MaskT >
| BitFlags (std::initializer_list< MaskT > list)
Type | data () const
Type & | data ()
void | initBit (std::initializer_list< uint8_t > list)
template<typename MaskT >
void | initMask (std::initializer_list< MaskT > list)
Type | getFlags () const
void | setOn ()
void | setOff ()
void | setBitOn (uint8_t bit)
void | setBitOff (uint8_t bit)
void | setBitOn (std::initializer_list< uint8_t > list)
void | setBitOff (std::initializer_list< uint8_t > list)
template<typename MaskT >
void | setMaskOn (MaskT mask)
template<typename MaskT >
void | setMaskOff (MaskT mask)
template<typename MaskT >
void | setMaskOn (std::initializer_list< MaskT > list)
template<typename MaskT >
void | setMaskOff (std::initializer_list< MaskT > list)
void | setBit (uint8_t bit, bool on)
template<typename MaskT >
void | setMask (MaskT mask, bool on)
bool | isOn () const
bool | isOff () const
bool | isBitOn (uint8_t bit) const
bool | isBitOff (uint8_t bit) const
template<typename MaskT >
bool | isMaskOn (MaskT mask) const
template<typename MaskT >
bool | isMaskOff (MaskT mask) const
template<typename MaskT >
bool | isMaskOn (std::initializer_list< MaskT > list) const
| return true if any of the masks in the list are on
template<typename MaskT >
bool | isMaskOff (std::initializer_list< MaskT > list) const
| return true if any of the masks in the list are off
BitFlags & | operator= (Type n)
| required for backwards compatibility

## Member Typedef Documentation

## ◆ Type

template<int N>

using Type = decltype(mFlags)

## Constructor & Destructor Documentation

## ◆ BitFlags() [1/3]

template<int N>

BitFlags | ( |  | ) |
| inline

## ◆ BitFlags() [2/3]

template<int N>

BitFlags | ( | std::initializer_list< uint8_t > | list | ) |
| inline

## ◆ BitFlags() [3/3]

template<int N>
template<typename MaskT >

BitFlags | ( | std::initializer_list< MaskT > | list | ) |
| inline

## Member Function Documentation

## ◆ data() [1/2]

template<int N>

Type & data | ( |  | ) |
| inline

## ◆ data() [2/2]

template<int N>

Type data | ( |  | ) | const
| inline

## ◆ getFlags()

template<int N>

Type getFlags | ( |  | ) | const
| inline

## ◆ initBit()

template<int N>

void initBit | ( | std::initializer_list< uint8_t > | list | ) |
| inline

## ◆ initMask()

template<int N>
template<typename MaskT >

void initMask | ( | std::initializer_list< MaskT > | list | ) |
| inline

## ◆ isBitOff()

template<int N>

bool isBitOff | ( | uint8_t | bit | ) | const
| inline

## ◆ isBitOn()

template<int N>

bool isBitOn | ( | uint8_t | bit | ) | const
| inline

## ◆ isMaskOff() [1/2]

template<int N>
template<typename MaskT >

bool isMaskOff | ( | MaskT | mask | ) | const
| inline

## ◆ isMaskOff() [2/2]

template<int N>
template<typename MaskT >

bool isMaskOff | ( | std::initializer_list< MaskT > | list | ) | const
| inline

return true if any of the masks in the list are off

## ◆ isMaskOn() [1/2]

template<int N>
template<typename MaskT >

bool isMaskOn | ( | MaskT | mask | ) | const
| inline

## ◆ isMaskOn() [2/2]

template<int N>
template<typename MaskT >

bool isMaskOn | ( | std::initializer_list< MaskT > | list | ) | const
| inline

return true if any of the masks in the list are on

## ◆ isOff()

template<int N>

bool isOff | ( |  | ) | const
| inline

## ◆ isOn()

template<int N>

bool isOn | ( |  | ) | const
| inline

## ◆ operator=()

template<int N>

BitFlags & operator= | ( | Type | n | ) |
| inline

required for backwards compatibility

## ◆ setBit()

template<int N>

void setBit | ( | uint8_t | bit,
|  | bool | on
| ) |  |
| inline

## ◆ setBitOff() [1/2]

template<int N>

void setBitOff | ( | std::initializer_list< uint8_t > | list | ) |
| inline

## ◆ setBitOff() [2/2]

template<int N>

void setBitOff | ( | uint8_t | bit | ) |
| inline

## ◆ setBitOn() [1/2]

template<int N>

void setBitOn | ( | std::initializer_list< uint8_t > | list | ) |
| inline

## ◆ setBitOn() [2/2]

template<int N>

void setBitOn | ( | uint8_t | bit | ) |
| inline

## ◆ setMask()

template<int N>
template<typename MaskT >

void setMask | ( | MaskT | mask,
|  | bool | on
| ) |  |
| inline

## ◆ setMaskOff() [1/2]

template<int N>
template<typename MaskT >

void setMaskOff | ( | MaskT | mask | ) |
| inline

## ◆ setMaskOff() [2/2]

template<int N>
template<typename MaskT >

void setMaskOff | ( | std::initializer_list< MaskT > | list | ) |
| inline

## ◆ setMaskOn() [1/2]

template<int N>
template<typename MaskT >

void setMaskOn | ( | MaskT | mask | ) |
| inline

## ◆ setMaskOn() [2/2]

template<int N>
template<typename MaskT >

void setMaskOn | ( | std::initializer_list< MaskT > | list | ) |
| inline

## ◆ setOff()

template<int N>

void setOff | ( |  | ) |
| inline

## ◆ setOn()

template<int N>

void setOn | ( |  | ) |
| inline